## com.sun.grizzly.util
Class SelectionKeyOP

    java.lang.Object
      com.sun.grizzly.util.SelectionKeyOP

Direct Known Subclasses:
  SelectionKeyOP.ConnectSelectionKeyOP

    public class SelectionKeyOP

extends Object

Author:
  Alexey Stashok

Nested Class Summary
`static class` `SelectionKeyOP.ConnectSelectionKeyOP`

Method Summary
`static SelectionKeyOP` `aquireSelectionKeyOP(int op)`
`SelectableChannel` `getChannel()`
`int` `getOp()`
`SelectionKey` `getSelectionKey()`
`protected void` `recycle()`
`static void` `releaseSelectionKeyOP(SelectionKeyOP operation)`
`void` `setChannel(SelectableChannel channel)`
`void` `setOp(int op)`
`void` `setSelectionKey(SelectionKey key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### aquireSelectionKeyOP

    public static SelectionKeyOP aquireSelectionKeyOP(int op)

### releaseSelectionKeyOP

    public static void releaseSelectionKeyOP(SelectionKeyOP operation)

### getOp

    public int getOp()

### setOp

    public void setOp(int op)

### getSelectionKey

    public SelectionKey getSelectionKey()

### setSelectionKey

    public void setSelectionKey(SelectionKey key)

### getChannel

    public SelectableChannel getChannel()

### setChannel

    public void setChannel(SelectableChannel channel)

### recycle

    protected void recycle()

Copyright © 2008 SUN Microsystems. All Rights Reserved.